Package org.postgresql.jdbc

# Class EscapedFunctions

java.lang.Object
org.postgresql.jdbc.EscapedFunctions

@Deprecated public class EscapedFunctions extends Object
Deprecated.
see `EscapedFunctions2`
This class stores supported escaped function.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ABS`
  Deprecated.
  `static final String`
  `ACOS`
  Deprecated.
  `static final String`
  `ASCII`
  Deprecated.
  `static final String`
  `ASIN`
  Deprecated.
  `static final String`
  `ATAN`
  Deprecated.
  `static final String`
  `ATAN2`
  Deprecated.
  `static final String`
  `CEILING`
  Deprecated.
  `static final String`
  `CHAR`
  Deprecated.
  `static final String`
  `CONCAT`
  Deprecated.
  `static final String`
  `COS`
  Deprecated.
  `static final String`
  `COT`
  Deprecated.
  `static final String`
  `CURDATE`
  Deprecated.
  `static final String`
  `CURTIME`
  Deprecated.
  `static final String`
  `DATABASE`
  Deprecated.
  `static final String`
  `DAYNAME`
  Deprecated.
  `static final String`
  `DAYOFMONTH`
  Deprecated.
  `static final String`
  `DAYOFWEEK`
  Deprecated.
  `static final String`
  `DAYOFYEAR`
  Deprecated.
  `static final String`
  `DEGREES`
  Deprecated.
  `static final String`
  `EXP`
  Deprecated.
  `static final String`
  `FLOOR`
  Deprecated.
  `static final String`
  `HOUR`
  Deprecated.
  `static final String`
  `IFNULL`
  Deprecated.
  `static final String`
  `INSERT`
  Deprecated.
  `static final String`
  `LCASE`
  Deprecated.
  `static final String`
  `LEFT`
  Deprecated.
  `static final String`
  `LENGTH`
  Deprecated.
  `static final String`
  `LOCATE`
  Deprecated.
  `static final String`
  `LOG`
  Deprecated.
  `static final String`
  `LOG10`
  Deprecated.
  `static final String`
  `LTRIM`
  Deprecated.
  `static final String`
  `MINUTE`
  Deprecated.
  `static final String`
  `MOD`
  Deprecated.
  `static final String`
  `MONTH`
  Deprecated.
  `static final String`
  `MONTHNAME`
  Deprecated.
  `static final String`
  `NOW`
  Deprecated.
  `static final String`
  `PI`
  Deprecated.
  `static final String`
  `POWER`
  Deprecated.
  `static final String`
  `QUARTER`
  Deprecated.
  `static final String`
  `RADIANS`
  Deprecated.
  `static final String`
  `REPEAT`
  Deprecated.
  `static final String`
  `REPLACE`
  Deprecated.
  `static final String`
  `RIGHT`
  Deprecated.
  `static final String`
  `ROUND`
  Deprecated.
  `static final String`
  `RTRIM`
  Deprecated.
  `static final String`
  `SECOND`
  Deprecated.
  `static final String`
  `SIGN`
  Deprecated.
  `static final String`
  `SIN`
  Deprecated.
  `static final String`
  `SPACE`
  Deprecated.
  `static final String`
  `SQL_TSI_DAY`
  Deprecated.
  `static final String`
  `SQL_TSI_FRAC_SECOND`
  Deprecated.
  `static final String`
  `SQL_TSI_HOUR`
  Deprecated.
  `static final String`
  `SQL_TSI_MINUTE`
  Deprecated.
  `static final String`
  `SQL_TSI_MONTH`
  Deprecated.
  `static final String`
  `SQL_TSI_QUARTER`
  Deprecated.
  `static final String`
  `SQL_TSI_ROOT`
  Deprecated.
  `static final String`
  `SQL_TSI_SECOND`
  Deprecated.
  `static final String`
  `SQL_TSI_WEEK`
  Deprecated.
  `static final String`
  `SQL_TSI_YEAR`
  Deprecated.
  `static final String`
  `SQRT`
  Deprecated.
  `static final String`
  `SUBSTRING`
  Deprecated.
  `static final String`
  `TAN`
  Deprecated.
  `static final String`
  `TIMESTAMPADD`
  Deprecated.
  `static final String`
  `TIMESTAMPDIFF`
  Deprecated.
  `static final String`
  `TRUNCATE`
  Deprecated.
  `static final String`
  `UCASE`
  Deprecated.
  `static final String`
  `USER`
  Deprecated.
  `static final String`
  `WEEK`
  Deprecated.
  `static final String`
  `YEAR`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EscapedFunctions()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static @Nullable Method`
  `getFunction(String functionName)`
  Deprecated.
  get Method object implementing the given function.
  `static String`
  `sqlceiling(List<?> parsedArgs)`
  Deprecated.
  ceiling to ceil translation.
  `static String`
  `sqlchar(List<?> parsedArgs)`
  Deprecated.
  char to chr translation.
  `static String`
  `sqlconcat(List<?> parsedArgs)`
  Deprecated.
  concat translation.
  `static String`
  `sqlcurdate(List<?> parsedArgs)`
  Deprecated.
  curdate to current_date translation.
  `static String`
  `sqlcurtime(List<?> parsedArgs)`
  Deprecated.
  curtime to current_time translation.
  `static String`
  `sqldatabase(List<?> parsedArgs)`
  Deprecated.
  database translation.
  `static String`
  `sqldayname(List<?> parsedArgs)`
  Deprecated.
  dayname translation.
  `static String`
  `sqldayofmonth(List<?> parsedArgs)`
  Deprecated.
  dayofmonth translation.
  `static String`
  `sqldayofweek(List<?> parsedArgs)`
  Deprecated.
  dayofweek translation adding 1 to postgresql function since we expect values from 1 to 7.
  `static String`
  `sqldayofyear(List<?> parsedArgs)`
  Deprecated.
  dayofyear translation.
  `static String`
  `sqlhour(List<?> parsedArgs)`
  Deprecated.
  hour translation.
  `static String`
  `sqlifnull(List<?> parsedArgs)`
  Deprecated.
  ifnull translation.
  `static String`
  `sqlinsert(List<?> parsedArgs)`
  Deprecated.
  insert to overlay translation.
  `static String`
  `sqllcase(List<?> parsedArgs)`
  Deprecated.
  lcase to lower translation.
  `static String`
  `sqlleft(List<?> parsedArgs)`
  Deprecated.
  left to substring translation.
  `static String`
  `sqllength(List<?> parsedArgs)`
  Deprecated.
  length translation.
  `static String`
  `sqllocate(List<?> parsedArgs)`
  Deprecated.
  locate translation.
  `static String`
  `sqllog(List<?> parsedArgs)`
  Deprecated.
  log to ln translation.
  `static String`
  `sqllog10(List<?> parsedArgs)`
  Deprecated.
  log10 to log translation.
  `static String`
  `sqlltrim(List<?> parsedArgs)`
  Deprecated.
  ltrim translation.
  `static String`
  `sqlminute(List<?> parsedArgs)`
  Deprecated.
  minute translation.
  `static String`
  `sqlmonth(List<?> parsedArgs)`
  Deprecated.
  month translation.
  `static String`
  `sqlmonthname(List<?> parsedArgs)`
  Deprecated.
  monthname translation.
  `static String`
  `sqlpower(List<?> parsedArgs)`
  Deprecated.
  power to pow translation.
  `static String`
  `sqlquarter(List<?> parsedArgs)`
  Deprecated.
  quarter translation.
  `static String`
  `sqlright(List<?> parsedArgs)`
  Deprecated.
  right to substring translation.
  `static String`
  `sqlrtrim(List<?> parsedArgs)`
  Deprecated.
  rtrim translation.
  `static String`
  `sqlsecond(List<?> parsedArgs)`
  Deprecated.
  second translation.
  `static String`
  `sqlspace(List<?> parsedArgs)`
  Deprecated.
  space translation.
  `static String`
  `sqlsubstring(List<?> parsedArgs)`
  Deprecated.
  substring to substr translation.
  `static String`
  `sqltimestampadd(List<? extends Object> parsedArgs)`
  Deprecated.
  time stamp add.
  `static String`
  `sqltimestampdiff(List<? extends Object> parsedArgs)`
  Deprecated.
  time stamp diff.
  `static String`
  `sqltruncate(List<?> parsedArgs)`
  Deprecated.
  truncate to trunc translation.
  `static String`
  `sqlucase(List<?> parsedArgs)`
  Deprecated.
  ucase to upper translation.
  `static String`
  `sqluser(List<?> parsedArgs)`
  Deprecated.
  user translation.
  `static String`
  `sqlweek(List<?> parsedArgs)`
  Deprecated.
  week translation.
  `static String`
  `sqlyear(List<?> parsedArgs)`
  Deprecated.
  year translation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ABS

    public static final String ABS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### ACOS

    public static final String ACOS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### ASIN

    public static final String ASIN
    Deprecated.
    See Also:
      - Constant Field Values

  - ### ATAN

    public static final String ATAN
    Deprecated.
    See Also:
      - Constant Field Values

  - ### ATAN2

    public static final String ATAN2
    Deprecated.
    See Also:
      - Constant Field Values

  - ### CEILING

    public static final String CEILING
    Deprecated.
    See Also:
      - Constant Field Values

  - ### COS

    public static final String COS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### COT

    public static final String COT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DEGREES

    public static final String DEGREES
    Deprecated.
    See Also:
      - Constant Field Values

  - ### EXP

    public static final String EXP
    Deprecated.
    See Also:
      - Constant Field Values

  - ### FLOOR

    public static final String FLOOR
    Deprecated.
    See Also:
      - Constant Field Values

  - ### LOG

    public static final String LOG
    Deprecated.
    See Also:
      - Constant Field Values

  - ### LOG10

    public static final String LOG10
    Deprecated.
    See Also:
      - Constant Field Values

  - ### MOD

    public static final String MOD
    Deprecated.
    See Also:
      - Constant Field Values

  - ### PI

    public static final String PI
    Deprecated.
    See Also:
      - Constant Field Values

  - ### POWER

    public static final String POWER
    Deprecated.
    See Also:
      - Constant Field Values

  - ### RADIANS

    public static final String RADIANS
    Deprecated.
    See Also:
      - Constant Field Values

  - ### ROUND

    public static final String ROUND
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SIGN

    public static final String SIGN
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SIN

    public static final String SIN
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SQRT

    public static final String SQRT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### TAN

    public static final String TAN
    Deprecated.
    See Also:
      - Constant Field Values

  - ### TRUNCATE

    public static final String TRUNCATE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### ASCII

    public static final String ASCII
    Deprecated.
    See Also:
      - Constant Field Values

  - ### CHAR

    public static final String CHAR
    Deprecated.
    See Also:
      - Constant Field Values

  - ### CONCAT

    public static final String CONCAT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### INSERT

    public static final String INSERT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### LCASE

    public static final String LCASE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### LEFT

    public static final String LEFT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### LENGTH

    public static final String LENGTH
    Deprecated.
    See Also:
      - Constant Field Values

  - ### LOCATE

    public static final String LOCATE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### LTRIM

    public static final String LTRIM
    Deprecated.
    See Also:
      - Constant Field Values

  - ### REPEAT

    public static final String REPEAT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### REPLACE

    public static final String REPLACE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### RIGHT

    public static final String RIGHT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### RTRIM

    public static final String RTRIM
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SPACE

    public static final String SPACE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SUBSTRING

    public static final String SUBSTRING
    Deprecated.
    See Also:
      - Constant Field Values

  - ### UCASE

    public static final String UCASE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### CURDATE

    public static final String CURDATE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### CURTIME

    public static final String CURTIME
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DAYNAME

    public static final String DAYNAME
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DAYOFMONTH

    public static final String DAYOFMONTH
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DAYOFWEEK

    public static final String DAYOFWEEK
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DAYOFYEAR

    public static final String DAYOFYEAR
    Deprecated.
    See Also:
      - Constant Field Values

  - ### HOUR

    public static final String HOUR
    Deprecated.
    See Also:
      - Constant Field Values

  - ### MINUTE

    public static final String MINUTE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### MONTH

    public static final String MONTH
    Deprecated.
    See Also:
      - Constant Field Values

  - ### MONTHNAME

    public static final String MONTHNAME
    Deprecated.
    See Also:
      - Constant Field Values

  - ### NOW

    public static final String NOW
    Deprecated.
    See Also:
      - Constant Field Values

  - ### QUARTER

    public static final String QUARTER
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SECOND

    public static final String SECOND
    Deprecated.
    See Also:
      - Constant Field Values

  - ### WEEK

    public static final String WEEK
    Deprecated.
    See Also:
      - Constant Field Values

  - ### YEAR

    public static final String YEAR
    Deprecated.
    See Also:
      - Constant Field Values

  - ### TIMESTAMPADD

    public static final String TIMESTAMPADD
    Deprecated.
    See Also:
      - Constant Field Values

  - ### TIMESTAMPDIFF

    public static final String TIMESTAMPDIFF
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_ROOT

    public static final String SQL_TSI_ROOT
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_DAY

    public static final String SQL_TSI_DAY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_FRAC_SECOND

    public static final String SQL_TSI_FRAC_SECOND
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_HOUR

    public static final String SQL_TSI_HOUR
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_MINUTE

    public static final String SQL_TSI_MINUTE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_MONTH

    public static final String SQL_TSI_MONTH
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_QUARTER

    public static final String SQL_TSI_QUARTER
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_SECOND

    public static final String SQL_TSI_SECOND
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_WEEK

    public static final String SQL_TSI_WEEK
    Deprecated.
    See Also:
      - Constant Field Values

  - ### SQL_TSI_YEAR

    public static final String SQL_TSI_YEAR
    Deprecated.
    See Also:
      - Constant Field Values

  - ### DATABASE

    public static final String DATABASE
    Deprecated.
    See Also:
      - Constant Field Values

  - ### IFNULL

    public static final String IFNULL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### USER

    public static final String USER
    Deprecated.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EscapedFunctions

    public EscapedFunctions()
    Deprecated.

- ## Method Details

  - ### getFunction

    public static @Nullable Method getFunction(String functionName)
    Deprecated.
    get Method object implementing the given function.
    Parameters:
      `functionName` - name of the searched function
    Returns:
      a Method object or null if not found

  - ### sqlceiling

    public static String sqlceiling(List<?> parsedArgs) throws SQLException
    Deprecated.
    ceiling to ceil translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqllog

    public static String sqllog(List<?> parsedArgs) throws SQLException
    Deprecated.
    log to ln translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqllog10

    public static String sqllog10(List<?> parsedArgs) throws SQLException
    Deprecated.
    log10 to log translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlpower

    public static String sqlpower(List<?> parsedArgs) throws SQLException
    Deprecated.
    power to pow translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqltruncate

    public static String sqltruncate(List<?> parsedArgs) throws SQLException
    Deprecated.
    truncate to trunc translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlchar

    public static String sqlchar(List<?> parsedArgs) throws SQLException
    Deprecated.
    char to chr translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlconcat

    public static String sqlconcat(List<?> parsedArgs)
    Deprecated.
    concat translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call

  - ### sqlinsert

    public static String sqlinsert(List<?> parsedArgs) throws SQLException
    Deprecated.
    insert to overlay translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqllcase

    public static String sqllcase(List<?> parsedArgs) throws SQLException
    Deprecated.
    lcase to lower translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlleft

    public static String sqlleft(List<?> parsedArgs) throws SQLException
    Deprecated.
    left to substring translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqllength

    public static String sqllength(List<?> parsedArgs) throws SQLException
    Deprecated.
    length translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqllocate

    public static String sqllocate(List<?> parsedArgs) throws SQLException
    Deprecated.
    locate translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlltrim

    public static String sqlltrim(List<?> parsedArgs) throws SQLException
    Deprecated.
    ltrim translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlright

    public static String sqlright(List<?> parsedArgs) throws SQLException
    Deprecated.
    right to substring translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlrtrim

    public static String sqlrtrim(List<?> parsedArgs) throws SQLException
    Deprecated.
    rtrim translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlspace

    public static String sqlspace(List<?> parsedArgs) throws SQLException
    Deprecated.
    space translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlsubstring

    public static String sqlsubstring(List<?> parsedArgs) throws SQLException
    Deprecated.
    substring to substr translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlucase

    public static String sqlucase(List<?> parsedArgs) throws SQLException
    Deprecated.
    ucase to upper translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlcurdate

    public static String sqlcurdate(List<?> parsedArgs) throws SQLException
    Deprecated.
    curdate to current_date translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlcurtime

    public static String sqlcurtime(List<?> parsedArgs) throws SQLException
    Deprecated.
    curtime to current_time translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqldayname

    public static String sqldayname(List<?> parsedArgs) throws SQLException
    Deprecated.
    dayname translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqldayofmonth

    public static String sqldayofmonth(List<?> parsedArgs) throws SQLException
    Deprecated.
    dayofmonth translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqldayofweek

    public static String sqldayofweek(List<?> parsedArgs) throws SQLException
    Deprecated.
    dayofweek translation adding 1 to postgresql function since we expect values from 1 to 7.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqldayofyear

    public static String sqldayofyear(List<?> parsedArgs) throws SQLException
    Deprecated.
    dayofyear translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlhour

    public static String sqlhour(List<?> parsedArgs) throws SQLException
    Deprecated.
    hour translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlminute

    public static String sqlminute(List<?> parsedArgs) throws SQLException
    Deprecated.
    minute translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlmonth

    public static String sqlmonth(List<?> parsedArgs) throws SQLException
    Deprecated.
    month translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlmonthname

    public static String sqlmonthname(List<?> parsedArgs) throws SQLException
    Deprecated.
    monthname translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlquarter

    public static String sqlquarter(List<?> parsedArgs) throws SQLException
    Deprecated.
    quarter translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlsecond

    public static String sqlsecond(List<?> parsedArgs) throws SQLException
    Deprecated.
    second translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlweek

    public static String sqlweek(List<?> parsedArgs) throws SQLException
    Deprecated.
    week translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlyear

    public static String sqlyear(List<?> parsedArgs) throws SQLException
    Deprecated.
    year translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqltimestampadd

    public static String sqltimestampadd(List<? extends Object> parsedArgs) throws SQLException
    Deprecated.
    time stamp add.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqltimestampdiff

    public static String sqltimestampdiff(List<? extends Object> parsedArgs) throws SQLException
    Deprecated.
    time stamp diff.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqldatabase

    public static String sqldatabase(List<?> parsedArgs) throws SQLException
    Deprecated.
    database translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqlifnull

    public static String sqlifnull(List<?> parsedArgs) throws SQLException
    Deprecated.
    ifnull translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens

  - ### sqluser

    public static String sqluser(List<?> parsedArgs) throws SQLException
    Deprecated.
    user translation.
    Parameters:
      `parsedArgs` - arguments
    Returns:
      sql call
    Throws:
      `SQLException` - if something wrong happens